<?php
/**
 * ProductTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\PimClient;

use PHPUnit\Framework\TestCase;

/**
 * ProductTest Class Doc Comment
 *
 * @category    Class
 * @description Product
 * @package     Ensi\PimClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class ProductTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "Product"
     */
    public function testProduct()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "tariffing_volume"
     */
    public function testPropertyTariffingVolume()
    {
    }

    /**
     * Test attribute "created_at"
     */
    public function testPropertyCreatedAt()
    {
    }

    /**
     * Test attribute "updated_at"
     */
    public function testPropertyUpdatedAt()
    {
    }

    /**
     * Test attribute "main_image_file"
     */
    public function testPropertyMainImageFile()
    {
    }

    /**
     * Test attribute "external_id"
     */
    public function testPropertyExternalId()
    {
    }

    /**
     * Test attribute "barcode"
     */
    public function testPropertyBarcode()
    {
    }

    /**
     * Test attribute "code"
     */
    public function testPropertyCode()
    {
    }

    /**
     * Test attribute "vendor_code"
     */
    public function testPropertyVendorCode()
    {
    }

    /**
     * Test attribute "category_ids"
     */
    public function testPropertyCategoryIds()
    {
    }

    /**
     * Test attribute "brand_id"
     */
    public function testPropertyBrandId()
    {
    }

    /**
     * Test attribute "name"
     */
    public function testPropertyName()
    {
    }

    /**
     * Test attribute "description"
     */
    public function testPropertyDescription()
    {
    }

    /**
     * Test attribute "type"
     */
    public function testPropertyType()
    {
    }

    /**
     * Test attribute "allow_publish"
     */
    public function testPropertyAllowPublish()
    {
    }

    /**
     * Test attribute "weight"
     */
    public function testPropertyWeight()
    {
    }

    /**
     * Test attribute "weight_gross"
     */
    public function testPropertyWeightGross()
    {
    }

    /**
     * Test attribute "length"
     */
    public function testPropertyLength()
    {
    }

    /**
     * Test attribute "width"
     */
    public function testPropertyWidth()
    {
    }

    /**
     * Test attribute "height"
     */
    public function testPropertyHeight()
    {
    }

    /**
     * Test attribute "is_adult"
     */
    public function testPropertyIsAdult()
    {
    }

    /**
     * Test attribute "uom"
     */
    public function testPropertyUom()
    {
    }

    /**
     * Test attribute "order_step"
     */
    public function testPropertyOrderStep()
    {
    }

    /**
     * Test attribute "order_minvol"
     */
    public function testPropertyOrderMinvol()
    {
    }

    /**
     * Test attribute "picking_weight_deviation"
     */
    public function testPropertyPickingWeightDeviation()
    {
    }

    /**
     * Test attribute "status_id"
     */
    public function testPropertyStatusId()
    {
    }

    /**
     * Test attribute "status_comment"
     */
    public function testPropertyStatusComment()
    {
    }

    /**
     * Test attribute "brand"
     */
    public function testPropertyBrand()
    {
    }

    /**
     * Test attribute "categories"
     */
    public function testPropertyCategories()
    {
    }

    /**
     * Test attribute "category_product_links"
     */
    public function testPropertyCategoryProductLinks()
    {
    }

    /**
     * Test attribute "images"
     */
    public function testPropertyImages()
    {
    }

    /**
     * Test attribute "attributes"
     */
    public function testPropertyAttributes()
    {
    }

    /**
     * Test attribute "product_groups"
     */
    public function testPropertyProductGroups()
    {
    }

    /**
     * Test attribute "no_filled_required_attributes"
     */
    public function testPropertyNoFilledRequiredAttributes()
    {
    }
}
